public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/files/, dev-lang/qu-prolog/
@ 2018-01-27 13:14 Keri Harris
  0 siblings, 0 replies; 7+ messages in thread
From: Keri Harris @ 2018-01-27 13:14 UTC (permalink / raw
  To: gentoo-commits

commit:     e50021b642670b3ef723e1f086c96983c69f0841
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 27 13:13:55 2018 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Sat Jan 27 13:14:36 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e50021b6

dev-lang/qu-prolog: port to QT5

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-lang/qu-prolog/files/qu-prolog-10.0-qt5.patch |  35 ++++++++
 dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild       | 101 ++++++++++++++++++++++
 2 files changed, 136 insertions(+)

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.0-qt5.patch b/dev-lang/qu-prolog/files/qu-prolog-10.0-qt5.patch
new file mode 100644
index 00000000000..d82e78cada1
--- /dev/null
+++ b/dev-lang/qu-prolog/files/qu-prolog-10.0-qt5.patch
@@ -0,0 +1,35 @@
+diff -ur qp10.0.orig/src/xqp/term.cc qp10.0/src/xqp/term.cc
+--- qp10.0.orig/src/xqp/term.cc	2008-07-09 07:32:37.000000000 +0200
++++ qp10.0/src/xqp/term.cc	2018-01-27 14:06:54.101545854 +0100
+@@ -38,7 +38,7 @@
+ 
+ bool graphic_char(QChar c)
+ {
+-    switch (c.toAscii())
++    switch (c.toLatin1())
+     {
+        case '-':
+        case '/':
+diff -ur qp10.0.orig/src/xqp/xqp.cc qp10.0/src/xqp/xqp.cc
+--- qp10.0.orig/src/xqp/xqp.cc	2011-07-14 01:08:42.000000000 +0200
++++ qp10.0/src/xqp/xqp.cc	2018-01-27 14:07:53.902543353 +0100
+@@ -167,7 +167,7 @@
+ 
+ void Xqp::send_cmd_to_qp(QString cmd)
+ {
+-   write(qp_stdin, cmd.toAscii(), cmd.length());
++   write(qp_stdin, cmd.toLatin1(), cmd.length());
+ }
+ 
+   
+diff -ur qp10.0.orig/src/xqp/xqp.pro qp10.0/src/xqp/xqp.pro
+--- qp10.0.orig/src/xqp/xqp.pro	2008-07-09 07:32:37.000000000 +0200
++++ qp10.0/src/xqp/xqp.pro	2018-01-27 14:01:24.764559627 +0100
+@@ -4,6 +4,7 @@
+ 
+ TEMPLATE = app
+ INCLUDEPATH += .
++QT += widgets
+ 
+ # Input
+ HEADERS += interact.h qpconfig.h qthelp.h term.h xqp.h xqpqueries.h

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
new file mode 100644
index 00000000000..bb5af2782e1
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils multilib qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pedro qt5 readline threads"
+
+RDEPEND="
+	!dev-util/mpatch
+	!dev-util/rej
+	!games-rpg/kqlives
+	qt5? (
+		dev-qt/qtwidgets:5
+		dev-qt/qtgui:5
+	 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+	epatch "${FILESDIR}"/${P}-configure.patch
+	epatch "${FILESDIR}"/${P}-associated-item.patch
+	epatch "${FILESDIR}"/${P}-gcc6.patch
+	epatch "${FILESDIR}"/${P}-qt5.patch
+}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		eqmake5 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	use qt5 && dobin src/xqp/xqp
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		insinto /usr/share/doc/${PF}/examples
+		doins examples/*.ql
+		docinto examples
+		newdoc examples/README README.examples
+	fi
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/files/, dev-lang/qu-prolog/
@ 2018-07-19  8:49 Keri Harris
  0 siblings, 0 replies; 7+ messages in thread
From: Keri Harris @ 2018-07-19  8:49 UTC (permalink / raw
  To: gentoo-commits

commit:     506e0a9037f0440ec30990f6dfb9bae6cd2886c2
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 19 08:48:50 2018 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Thu Jul 19 08:49:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=506e0a90

dev-lang/qu-prolog: version bump

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-lang/qu-prolog/Manifest                       |   1 +
 dev-lang/qu-prolog/files/qu-prolog-10.1-qt5.patch |  35 ++++++++
 dev-lang/qu-prolog/qu-prolog-10.1.ebuild          | 100 ++++++++++++++++++++++
 3 files changed, 136 insertions(+)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index e772770d16e..e9492dbb1b5 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1 +1,2 @@
 DIST qp10.0.tar.gz 1521469 BLAKE2B ab293e5b14529c3714ba123c5f37f7fe2ac4f6238ebaca00fa7781407ccf7df67515b1b6b3c80a358fae5988c799bf16b8f02eb52a9b3a690b155a150ac90063 SHA512 491ef9cc01f0d34163d47163b3103dcbd52cc5672f64057b898c2d234384ac2e3b64b4e59a1795765ff92de4c97ebdb11a82d394213685c387e4dd7d598c5c60
+DIST qp10.1.tar.gz 1521610 BLAKE2B a4d6d277a35284accfff1afd70901218df198b2b33f5c95ca5649bf06abcb153890f2f21b0e8d62ed93484b452a230074f93c983ab231c8fc58b51a29119d838 SHA512 8fb30fcbc086384d7e265695a7d24a9599ed306b5da0ea964e60aef4bb01c7b6789fc361449f908736c57d86c204e574d745f277d5b0ec2b725a8eca52f14f1a

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.1-qt5.patch b/dev-lang/qu-prolog/files/qu-prolog-10.1-qt5.patch
new file mode 100644
index 00000000000..92dfdd78008
--- /dev/null
+++ b/dev-lang/qu-prolog/files/qu-prolog-10.1-qt5.patch
@@ -0,0 +1,35 @@
+diff -ur qp10.1.orig/src/xqp/term.cc qp10.1/src/xqp/term.cc
+--- qp10.1.orig/src/xqp/term.cc	2008-07-09 07:32:37.000000000 +0200
++++ qp10.1/src/xqp/term.cc	2018-07-19 10:31:12.969762518 +0200
+@@ -38,7 +38,7 @@
+ 
+ bool graphic_char(QChar c)
+ {
+-    switch (c.toAscii())
++    switch (c.toLatin1())
+     {
+        case '-':
+        case '/':
+diff -ur qp10.1.orig/src/xqp/xqp.cc qp10.1/src/xqp/xqp.cc
+--- qp10.1.orig/src/xqp/xqp.cc	2011-07-14 01:08:42.000000000 +0200
++++ qp10.1/src/xqp/xqp.cc	2018-07-19 10:31:12.969762518 +0200
+@@ -167,7 +167,7 @@
+ 
+ void Xqp::send_cmd_to_qp(QString cmd)
+ {
+-   write(qp_stdin, cmd.toAscii(), cmd.length());
++   write(qp_stdin, cmd.toLatin1(), cmd.length());
+ }
+ 
+   
+diff -ur qp10.1.orig/src/xqp/xqp.pro qp10.1/src/xqp/xqp.pro
+--- qp10.1.orig/src/xqp/xqp.pro	2008-07-09 07:32:37.000000000 +0200
++++ qp10.1/src/xqp/xqp.pro	2018-07-19 10:31:12.969762518 +0200
+@@ -4,6 +4,7 @@
+ 
+ TEMPLATE = app
+ INCLUDEPATH += .
++QT += widgets
+ 
+ # Input
+ HEADERS += interact.h qpconfig.h qthelp.h term.h xqp.h xqpqueries.h

diff --git a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
new file mode 100644
index 00000000000..2b3ad3c4c60
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils multilib qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pedro qt5 readline threads"
+
+RDEPEND="
+	!dev-util/mpatch
+	!dev-util/rej
+	!games-rpg/kqlives
+	qt5? (
+		dev-qt/qtwidgets:5
+		dev-qt/qtgui:5
+	 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+	epatch "${FILESDIR}"/${P}-qt5.patch
+
+	eapply_user
+}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		eqmake5 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	use qt5 && dobin src/xqp/xqp
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		insinto /usr/share/doc/${PF}/examples
+		doins examples/*.ql
+		docinto examples
+		newdoc examples/README README.examples
+	fi
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/files/, dev-lang/qu-prolog/
@ 2018-10-27  7:04 Keri Harris
  0 siblings, 0 replies; 7+ messages in thread
From: Keri Harris @ 2018-10-27  7:04 UTC (permalink / raw
  To: gentoo-commits

commit:     09bdd67db70651ddd45d3aa7cc95ef34077c2bf2
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 27 07:04:03 2018 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Sat Oct 27 07:04:03 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09bdd67d

dev-lang/qu-prolog: remove old version

Signed-off-by: Keri Harris <keri <AT> gentoo.org>
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-lang/qu-prolog/Manifest                        |   1 -
 .../files/qu-prolog-10.0-associated-item.patch     |  11 ---
 .../qu-prolog/files/qu-prolog-10.0-configure.patch |  21 -----
 dev-lang/qu-prolog/files/qu-prolog-10.0-gcc6.patch |  38 --------
 dev-lang/qu-prolog/files/qu-prolog-10.0-qt5.patch  |  35 -------
 dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild        | 101 ---------------------
 6 files changed, 207 deletions(-)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index e9492dbb1b5..eb9bfae44ac 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1,2 +1 @@
-DIST qp10.0.tar.gz 1521469 BLAKE2B ab293e5b14529c3714ba123c5f37f7fe2ac4f6238ebaca00fa7781407ccf7df67515b1b6b3c80a358fae5988c799bf16b8f02eb52a9b3a690b155a150ac90063 SHA512 491ef9cc01f0d34163d47163b3103dcbd52cc5672f64057b898c2d234384ac2e3b64b4e59a1795765ff92de4c97ebdb11a82d394213685c387e4dd7d598c5c60
 DIST qp10.1.tar.gz 1521610 BLAKE2B a4d6d277a35284accfff1afd70901218df198b2b33f5c95ca5649bf06abcb153890f2f21b0e8d62ed93484b452a230074f93c983ab231c8fc58b51a29119d838 SHA512 8fb30fcbc086384d7e265695a7d24a9599ed306b5da0ea964e60aef4bb01c7b6789fc361449f908736c57d86c204e574d745f277d5b0ec2b725a8eca52f14f1a

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.0-associated-item.patch b/dev-lang/qu-prolog/files/qu-prolog-10.0-associated-item.patch
deleted file mode 100644
index d5e992d51c2..00000000000
--- a/dev-lang/qu-prolog/files/qu-prolog-10.0-associated-item.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- qp10.0.orig/src/objects.h	2016-06-07 02:54:35.000000000 +0200
-+++ qp10.0/src/objects.h	2016-10-03 18:26:49.924782008 +0200
-@@ -1210,7 +1210,7 @@
-        << this->getName() << "\" ";
-   
- #ifndef WIN32
--  switch (hasAssociatedItem())
-+  switch (tag & AssociatedMask)
-     {
-     case AssociatedNone:
- 	    std::cerr << "(no info)";

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.0-configure.patch b/dev-lang/qu-prolog/files/qu-prolog-10.0-configure.patch
deleted file mode 100644
index b3c10961391..00000000000
--- a/dev-lang/qu-prolog/files/qu-prolog-10.0-configure.patch
+++ /dev/null
@@ -1,21 +0,0 @@
---- qp10.0.orig/configure	2016-06-07 02:54:42.000000000 +0200
-+++ qp10.0/configure	2016-10-03 18:30:22.360786524 +0200
-@@ -2256,12 +2256,16 @@
- #
- # Check for addtional command line options.
- #
--DEBUGGING=" -DNDEBUG "
- # Check whether --enable-debug was given.
- if test "${enable_debug+set}" = set; then :
--  enableval=$enable_debug;  DEBUGGING=
-+  enableval=$enable_debug;
- fi
- 
-+if test "$enable_debug" = yes; then
-+	DEBUGGING=
-+else
-+	DEBUGGING=" -DNDEBUG "
-+fi
- 
- 
- # Single versus multiple thread configuraation.

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.0-gcc6.patch b/dev-lang/qu-prolog/files/qu-prolog-10.0-gcc6.patch
deleted file mode 100644
index 626a15b5de9..00000000000
--- a/dev-lang/qu-prolog/files/qu-prolog-10.0-gcc6.patch
+++ /dev/null
@@ -1,38 +0,0 @@
---- qp10.0/src/io_qp.h.old	2016-10-12 02:50:04.343499674 -0400
-+++ qp10.0/src/io_qp.h	2016-10-12 02:50:10.605264154 -0400
-@@ -662,7 +662,7 @@
- 
-   bool seekp(streampos pos, ios::seekdir d = ios::beg)
-     {
--      return stream->seekp(pos, d);
-+      return !stream->seekp(pos, d).fail();
-     }
- 
-   bool put(char ch)
-@@ -736,7 +736,7 @@
- 
-   bool seekp(streampos pos, ios::seekdir d = ios::beg)
-     {
--      return stream.seekp(pos, d);
-+      return !stream.seekp(pos, d).fail();
-     }
- 
-   bool put(char ch)
-@@ -816,7 +816,7 @@
- 
-   bool seekp(streampos pos, ios::seekdir d = ios::beg)
-     {
--      return stream.seekp(pos, d);
-+      return !stream.seekp(pos, d).fail();
-     }
- 
-   bool put(char ch);
-@@ -876,7 +876,7 @@
- 
-   bool seekp(streampos pos, ios::seekdir d = ios::beg)
-     {
--      return stream.seekp(pos, d);
-+      return !stream.seekp(pos, d).fail();
-     }
- 
-   bool put(char ch);

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.0-qt5.patch b/dev-lang/qu-prolog/files/qu-prolog-10.0-qt5.patch
deleted file mode 100644
index d82e78cada1..00000000000
--- a/dev-lang/qu-prolog/files/qu-prolog-10.0-qt5.patch
+++ /dev/null
@@ -1,35 +0,0 @@
-diff -ur qp10.0.orig/src/xqp/term.cc qp10.0/src/xqp/term.cc
---- qp10.0.orig/src/xqp/term.cc	2008-07-09 07:32:37.000000000 +0200
-+++ qp10.0/src/xqp/term.cc	2018-01-27 14:06:54.101545854 +0100
-@@ -38,7 +38,7 @@
- 
- bool graphic_char(QChar c)
- {
--    switch (c.toAscii())
-+    switch (c.toLatin1())
-     {
-        case '-':
-        case '/':
-diff -ur qp10.0.orig/src/xqp/xqp.cc qp10.0/src/xqp/xqp.cc
---- qp10.0.orig/src/xqp/xqp.cc	2011-07-14 01:08:42.000000000 +0200
-+++ qp10.0/src/xqp/xqp.cc	2018-01-27 14:07:53.902543353 +0100
-@@ -167,7 +167,7 @@
- 
- void Xqp::send_cmd_to_qp(QString cmd)
- {
--   write(qp_stdin, cmd.toAscii(), cmd.length());
-+   write(qp_stdin, cmd.toLatin1(), cmd.length());
- }
- 
-   
-diff -ur qp10.0.orig/src/xqp/xqp.pro qp10.0/src/xqp/xqp.pro
---- qp10.0.orig/src/xqp/xqp.pro	2008-07-09 07:32:37.000000000 +0200
-+++ qp10.0/src/xqp/xqp.pro	2018-01-27 14:01:24.764559627 +0100
-@@ -4,6 +4,7 @@
- 
- TEMPLATE = app
- INCLUDEPATH += .
-+QT += widgets
- 
- # Input
- HEADERS += interact.h qpconfig.h qthelp.h term.h xqp.h xqpqueries.h

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
deleted file mode 100644
index 6506c3bce9f..00000000000
--- a/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
+++ /dev/null
@@ -1,101 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils multilib qmake-utils
-
-MY_P=qp${PV}
-
-DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
-HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
-SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
-
-LICENSE="Apache-2.0 GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 ppc x86"
-IUSE="debug doc examples pedro qt5 readline threads"
-
-RDEPEND="
-	!dev-util/mpatch
-	!dev-util/rej
-	!games-rpg/kqlives
-	qt5? (
-		dev-qt/qtwidgets:5
-		dev-qt/qtgui:5
-	 )
-	pedro? ( net-misc/pedro )
-	readline? ( app-misc/rlwrap )"
-DEPEND="${RDEPEND}
-	dev-lang/perl"
-
-S="${WORKDIR}"/${MY_P}
-
-src_prepare() {
-	epatch "${FILESDIR}"/${P}-configure.patch
-	epatch "${FILESDIR}"/${P}-associated-item.patch
-	epatch "${FILESDIR}"/${P}-gcc6.patch
-	epatch "${FILESDIR}"/${P}-qt5.patch
-}
-
-src_configure() {
-	econf \
-		--libdir=/usr/$(get_libdir) \
-		$(use_enable debug) \
-		$(use_enable threads multiple-threads)
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		eqmake5 xqp.pro
-	fi
-}
-
-src_compile() {
-	emake OPTIMISATION="${CXXFLAGS}"
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		emake
-	fi
-}
-
-src_install() {
-	sed \
-		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
-		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
-
-	dobin bin/{qc,qecat,qp,kq}
-
-	use qt5 && dobin src/xqp/xqp
-
-	into /usr/$(get_libdir)/${PN}
-	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
-
-	insinto /usr/$(get_libdir)/${PN}/bin
-	doins bin/rl_commands
-	doins bin/{qc1.qup,qecat,qg,qp}.qx
-
-	insinto /usr/$(get_libdir)/${PN}/library
-	doins prolog/library/*.qo
-
-	insinto /usr/$(get_libdir)/${PN}/compiler
-	doins prolog/compiler/*.qo
-
-	doman doc/man/man1/*.1
-
-	dodoc README
-
-	if use doc ; then
-		docinto reference-manual
-		dodoc doc/manual/*.html
-		docinto user-guide
-		dodoc doc/user/main.pdf
-	fi
-
-	if use examples ; then
-		insinto /usr/share/doc/${PF}/examples
-		doins examples/*.ql
-		docinto examples
-		newdoc examples/README README.examples
-	fi
-}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/files/, dev-lang/qu-prolog/
@ 2020-03-21 13:24 Keri Harris
  0 siblings, 0 replies; 7+ messages in thread
From: Keri Harris @ 2020-03-21 13:24 UTC (permalink / raw
  To: gentoo-commits

commit:     8dd002c0162065b988c1ad587900648df88ceb61
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 21 13:23:47 2020 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Sat Mar 21 13:24:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8dd002c0

dev-lang/qu-prolog: version bump

Signed-off-by: Keri Harris <keri <AT> gentoo.org>
Package-Manager: Portage-2.3.89, Repoman-2.3.11

 dev-lang/qu-prolog/Manifest                       |   1 +
 dev-lang/qu-prolog/files/qu-prolog-10.2-qt5.patch |  35 ++++++++
 dev-lang/qu-prolog/qu-prolog-10.2.ebuild          | 100 ++++++++++++++++++++++
 3 files changed, 136 insertions(+)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index eb9bfae44ac..e08b211f2c6 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1 +1,2 @@
 DIST qp10.1.tar.gz 1521610 BLAKE2B a4d6d277a35284accfff1afd70901218df198b2b33f5c95ca5649bf06abcb153890f2f21b0e8d62ed93484b452a230074f93c983ab231c8fc58b51a29119d838 SHA512 8fb30fcbc086384d7e265695a7d24a9599ed306b5da0ea964e60aef4bb01c7b6789fc361449f908736c57d86c204e574d745f277d5b0ec2b725a8eca52f14f1a
+DIST qp10.2.tar.gz 1667066 BLAKE2B fe466bc892a0923f463347bfa22618061d8a8baf9e2fc60ea27694c66be6dc8ac9b0bacd3084bccff95ff06ef949660cb9a0637a8e3e3595d04c44eb2b682bc9 SHA512 5cfebab17a812513bb4ddf4c04890af32339bef18d746dd6503cee13d295c43f1ef687a6c7814b2f40473766c695459f8234541ae8a6945a0f2930556985ad96

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.2-qt5.patch b/dev-lang/qu-prolog/files/qu-prolog-10.2-qt5.patch
new file mode 100644
index 00000000000..4d5ec768be9
--- /dev/null
+++ b/dev-lang/qu-prolog/files/qu-prolog-10.2-qt5.patch
@@ -0,0 +1,35 @@
+diff -ur qp10.2.orig/src/xqp/term.cc qp10.2/src/xqp/term.cc
+--- qp10.2.orig/src/xqp/term.cc	2008-07-09 07:32:37.000000000 +0200
++++ qp10.2/src/xqp/term.cc	2020-03-21 14:08:16.842059351 +0100
+@@ -38,7 +38,7 @@
+ 
+ bool graphic_char(QChar c)
+ {
+-    switch (c.toAscii())
++    switch (c.toLatin1())
+     {
+        case '-':
+        case '/':
+diff -ur qp10.2.orig/src/xqp/xqp.cc qp10.2/src/xqp/xqp.cc
+--- qp10.2.orig/src/xqp/xqp.cc	2011-07-14 01:08:42.000000000 +0200
++++ qp10.2/src/xqp/xqp.cc	2020-03-21 14:08:16.842059351 +0100
+@@ -167,7 +167,7 @@
+ 
+ void Xqp::send_cmd_to_qp(QString cmd)
+ {
+-   write(qp_stdin, cmd.toAscii(), cmd.length());
++   write(qp_stdin, cmd.toLatin1(), cmd.length());
+ }
+ 
+   
+diff -ur qp10.2.orig/src/xqp/xqp.pro qp10.2/src/xqp/xqp.pro
+--- qp10.2.orig/src/xqp/xqp.pro	2008-07-09 07:32:37.000000000 +0200
++++ qp10.2/src/xqp/xqp.pro	2020-03-21 14:08:16.842059351 +0100
+@@ -4,6 +4,7 @@
+ 
+ TEMPLATE = app
+ INCLUDEPATH += .
++QT += widgets
+ 
+ # Input
+ HEADERS += interact.h qpconfig.h qthelp.h term.h xqp.h xqpqueries.h

diff --git a/dev-lang/qu-prolog/qu-prolog-10.2.ebuild b/dev-lang/qu-prolog/qu-prolog-10.2.ebuild
new file mode 100644
index 00000000000..4f85be09a08
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-10.2.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils multilib qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pedro qt5 readline threads"
+
+RDEPEND="
+	!dev-util/mpatch
+	!dev-util/rej
+	!games-rpg/kqlives
+	qt5? (
+		dev-qt/qtwidgets:5
+		dev-qt/qtgui:5
+	 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+	epatch "${FILESDIR}"/${P}-qt5.patch
+
+	eapply_user
+}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		eqmake5 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	use qt5 && dobin src/xqp/xqp
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		insinto /usr/share/doc/${PF}/examples
+		doins examples/*.ql
+		docinto examples
+		newdoc examples/README README.examples
+	fi
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/files/, dev-lang/qu-prolog/
@ 2020-05-27 15:57 Keri Harris
  0 siblings, 0 replies; 7+ messages in thread
From: Keri Harris @ 2020-05-27 15:57 UTC (permalink / raw
  To: gentoo-commits

commit:     b9cec6032cb7ff0464813c46f20fc4524a0e1248
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Wed May 27 15:57:18 2020 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Wed May 27 15:57:33 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9cec603

dev-lang/qu-prolog: consolidate QT patches

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/files/qu-prolog-10.2-qt5.patch  | 35 ----------------------
 ...log-10.1-qt5.patch => qu-prolog-10.x-qt5.patch} |  0
 dev-lang/qu-prolog/qu-prolog-10.1.ebuild           |  4 +--
 dev-lang/qu-prolog/qu-prolog-10.2.ebuild           |  2 +-
 4 files changed, 3 insertions(+), 38 deletions(-)

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.2-qt5.patch b/dev-lang/qu-prolog/files/qu-prolog-10.2-qt5.patch
deleted file mode 100644
index 4d5ec768be9..00000000000
--- a/dev-lang/qu-prolog/files/qu-prolog-10.2-qt5.patch
+++ /dev/null
@@ -1,35 +0,0 @@
-diff -ur qp10.2.orig/src/xqp/term.cc qp10.2/src/xqp/term.cc
---- qp10.2.orig/src/xqp/term.cc	2008-07-09 07:32:37.000000000 +0200
-+++ qp10.2/src/xqp/term.cc	2020-03-21 14:08:16.842059351 +0100
-@@ -38,7 +38,7 @@
- 
- bool graphic_char(QChar c)
- {
--    switch (c.toAscii())
-+    switch (c.toLatin1())
-     {
-        case '-':
-        case '/':
-diff -ur qp10.2.orig/src/xqp/xqp.cc qp10.2/src/xqp/xqp.cc
---- qp10.2.orig/src/xqp/xqp.cc	2011-07-14 01:08:42.000000000 +0200
-+++ qp10.2/src/xqp/xqp.cc	2020-03-21 14:08:16.842059351 +0100
-@@ -167,7 +167,7 @@
- 
- void Xqp::send_cmd_to_qp(QString cmd)
- {
--   write(qp_stdin, cmd.toAscii(), cmd.length());
-+   write(qp_stdin, cmd.toLatin1(), cmd.length());
- }
- 
-   
-diff -ur qp10.2.orig/src/xqp/xqp.pro qp10.2/src/xqp/xqp.pro
---- qp10.2.orig/src/xqp/xqp.pro	2008-07-09 07:32:37.000000000 +0200
-+++ qp10.2/src/xqp/xqp.pro	2020-03-21 14:08:16.842059351 +0100
-@@ -4,6 +4,7 @@
- 
- TEMPLATE = app
- INCLUDEPATH += .
-+QT += widgets
- 
- # Input
- HEADERS += interact.h qpconfig.h qthelp.h term.h xqp.h xqpqueries.h

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.1-qt5.patch b/dev-lang/qu-prolog/files/qu-prolog-10.x-qt5.patch
similarity index 100%
rename from dev-lang/qu-prolog/files/qu-prolog-10.1-qt5.patch
rename to dev-lang/qu-prolog/files/qu-prolog-10.x-qt5.patch

diff --git a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
index df4cb97f00b..66036b4f69a 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -32,7 +32,7 @@ DEPEND="${RDEPEND}
 S="${WORKDIR}"/${MY_P}
 
 src_prepare() {
-	epatch "${FILESDIR}"/${P}-qt5.patch
+	epatch "${FILESDIR}"/${PN}-10.x-qt5.patch
 
 	eapply_user
 }

diff --git a/dev-lang/qu-prolog/qu-prolog-10.2.ebuild b/dev-lang/qu-prolog/qu-prolog-10.2.ebuild
index 4f85be09a08..d7dbcab7d77 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.2.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.2.ebuild
@@ -32,7 +32,7 @@ DEPEND="${RDEPEND}
 S="${WORKDIR}"/${MY_P}
 
 src_prepare() {
-	epatch "${FILESDIR}"/${P}-qt5.patch
+	epatch "${FILESDIR}"/${PN}-10.x-qt5.patch
 
 	eapply_user
 }


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/files/, dev-lang/qu-prolog/
@ 2020-06-25  7:05 Keri Harris
  0 siblings, 0 replies; 7+ messages in thread
From: Keri Harris @ 2020-06-25  7:05 UTC (permalink / raw
  To: gentoo-commits

commit:     5c4d7da9596260f16ed150fb6804db6786910c8a
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 25 07:04:45 2020 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Thu Jun 25 07:05:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c4d7da9

dev-lang/qu-prolog: version bump

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/Manifest                        |   1 +
 .../files/qu-prolog-10.5-gcc-version.patch         |  25 ++++++
 dev-lang/qu-prolog/qu-prolog-10.5.ebuild           | 100 +++++++++++++++++++++
 3 files changed, 126 insertions(+)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index 6ae5f8da31b..576e943a1e7 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -2,3 +2,4 @@ DIST qp10.1.tar.gz 1521610 BLAKE2B a4d6d277a35284accfff1afd70901218df198b2b33f5c
 DIST qp10.2.tar.gz 1667066 BLAKE2B fe466bc892a0923f463347bfa22618061d8a8baf9e2fc60ea27694c66be6dc8ac9b0bacd3084bccff95ff06ef949660cb9a0637a8e3e3595d04c44eb2b682bc9 SHA512 5cfebab17a812513bb4ddf4c04890af32339bef18d746dd6503cee13d295c43f1ef687a6c7814b2f40473766c695459f8234541ae8a6945a0f2930556985ad96
 DIST qp10.3.tar.gz 1669345 BLAKE2B 9dc14f683555b22e7bb2119dd6d29cad7c934bb162def4358d69da65cd259b586fac593c7770dc1d665ab56da2e1129a696e84b01a271b747a9e3a8598c0d7fa SHA512 e28519fccf58f2b755382f2b8e56c15f2622508822c920975577feb6b837f96346a14eb23a5209ed126e617264ed7846b8a35d5936e99284503d5c435c0a1c18
 DIST qp10.4.tar.gz 1671144 BLAKE2B 293cbc09a058714f762e5d371074ca1b87e8177868851a3db2606a837810b474e926c43f6715c5088c718f2b1841c46f9668795ac53edc0266a9a6d5d04386f5 SHA512 39193ba2c39dc24b234092a47f9834af5b8dff6edc34ba6e0ceb6a4bda60c2f30b951bc17ef72da1dd220ef62563c88f4106dd0115a5bf8e51045abfb96151c6
+DIST qp10.5.tar.gz 1670927 BLAKE2B 74fd47beb18f7081ade39bf215a999066a2a5e99753ee8e48751c37d7bff111d355a7713f13af43a1cffc2fa6ca5efdf89a633fba45accdef17ee265f068e57a SHA512 6a7d46f09015304ffa222c82be5d9fb28c272ce27641455113740f3a4a08887369208456c478320b30d9464d8eeea0f7fcc1c1e56e1a130134e2fe54d5446958

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.5-gcc-version.patch b/dev-lang/qu-prolog/files/qu-prolog-10.5-gcc-version.patch
new file mode 100644
index 00000000000..cfc7cbfd4c1
--- /dev/null
+++ b/dev-lang/qu-prolog/files/qu-prolog-10.5-gcc-version.patch
@@ -0,0 +1,25 @@
+--- qp10.5.orig/configure.in	2019-12-29 00:57:44.000000000 +0100
++++ qp10.5/configure.in	2020-06-25 08:53:32.610430095 +0200
+@@ -209,22 +209,6 @@
+ 		uname \
+ 		)
+ 
+-#----------------------------------------------------------------------------
+-dnl Check for CPP version
+-AC_MSG_CHECKING([for GCC version])
+-qp_cpp_ver=[`gcc --version 2>/dev/null | head -1 | sed -e 's/^[^[:digit:]]*\([[:digit:]][^[:space:]]*\).*$/\1/'`]
+-if test -n "$qp_cpp_ver"; then
+-    AC_MSG_RESULT($qp_cpp_ver)
+-    case "$qp_cpp_ver" in
+-      2.*)
+-        AC_DEFINE(GCC_VERSION_2, 1, [Whether or not the GCC is gcc 2])
+-        ;;
+-    esac
+-else
+-    AC_MSG_RESULT(not found)
+-    AC_MSG_ERROR(Could not determine GCC version)
+-fi
+-
+ #-----------------------------------------------------------------------------
+ dnl Check for -fno-strict-aliasing
+ AC_MSG_CHECKING([for -fno-strict-aliasing])

diff --git a/dev-lang/qu-prolog/qu-prolog-10.5.ebuild b/dev-lang/qu-prolog/qu-prolog-10.5.ebuild
new file mode 100644
index 00000000000..36fdb457ce2
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-10.5.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools eutils multilib qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pedro qt5 readline threads"
+
+RDEPEND="
+	!dev-util/mpatch
+	!dev-util/rej
+	qt5? (
+		dev-qt/qtwidgets:5
+		dev-qt/qtgui:5
+	 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+	eapply "${FILESDIR}"/${PN}-10.x-qt5.patch
+	eapply "${FILESDIR}"/${PN}-10.5-gcc-version.patch
+	eapply_user
+
+	eautoconf
+}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		eqmake5 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	use qt5 && dobin src/xqp/xqp
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		docinto examples
+		newdoc examples/README README.examples
+		dodoc examples/*.ql
+	fi
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/files/, dev-lang/qu-prolog/
@ 2022-10-15 16:36 Keri Harris
  0 siblings, 0 replies; 7+ messages in thread
From: Keri Harris @ 2022-10-15 16:36 UTC (permalink / raw
  To: gentoo-commits

commit:     9e15206ee3f482c0887c98ee95becb1cf5c99ccb
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 15 16:35:30 2022 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Sat Oct 15 16:35:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e15206e

dev-lang/qu-prolog: add 10.7

Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/Manifest                        |   1 +
 .../files/qu-prolog-10.x-qa-compiler-flags.patch   |  22 +++++
 dev-lang/qu-prolog/qu-prolog-10.7.ebuild           | 107 +++++++++++++++++++++
 3 files changed, 130 insertions(+)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index 6c18791ba650..0a7cf61496ad 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1 +1,2 @@
 DIST qp10.6.tar.gz 1671349 BLAKE2B 189ddd733a0bbf939387de60ec76e8e41a430af5f4684a9a3b8cc3effa4e402cfd4471c955f4d626d2de8cf14eb93c2977540ad209d06ce9b562325a4b984fea SHA512 425b35c758ba86cc14a1faf5c19f2c091142be6c42261323dc6f551efd6c80f7223584cd2be239748539eaf25308f777d95fd5bfdc65b33ca3245377e1766299
+DIST qp10.7.tar.gz 1857589 BLAKE2B 986f0d8744d5b0a3974191d154a2ca0efa97f6c02483d975b4bb43bd7ae44d9d4233f6bffc1947d03ac3db9c0181953254e66bc62d55add6b0debbed1ad21de6 SHA512 305c89710e02167bb37e999b5af182b9dbca710d32c79149782a90f29b2e80f6a5462e9fb22153e770cef7484c5181bde31f1fe680b786f0f253ced13a3df830

diff --git a/dev-lang/qu-prolog/files/qu-prolog-10.x-qa-compiler-flags.patch b/dev-lang/qu-prolog/files/qu-prolog-10.x-qa-compiler-flags.patch
new file mode 100644
index 000000000000..c6dbaca842f0
--- /dev/null
+++ b/dev-lang/qu-prolog/files/qu-prolog-10.x-qa-compiler-flags.patch
@@ -0,0 +1,22 @@
+--- qp10.7.orig/src/Makefile.in	2020-06-24 23:37:02.000000000 -0000
++++ qp10.7/src/Makefile.in	2021-06-26 08:07:51.916841713 -0000
+@@ -41,7 +41,7 @@
+ #export DEBUGGING=
+ 
+ export CXXFLAGS = -std=c++11 @GCC_ALIAS_FLAG@ -Wall -D_GNU_SOURCE=1 $(OPTIMISATION) @DEBUGGING@ @GCCINCLUDES@ -Wno-uninitialized `pkg-config --cflags libpcre2-8`
+-export QACXXFLAGS = -Wall -D_GNU_SOURCE=1 @DEBUGGING@ @GCCINCLUDES@ -Wno-uninitialized
++export QACXXFLAGS = -Wall -D_GNU_SOURCE=1 $(OPTIMISATION) @DEBUGGING@ @GCCINCLUDES@ -Wno-uninitialized
+ 
+ .PHONY: all
+ all: commands
+--- qp10.7.orig/src/Makefile.ipc.in	2020-06-24 23:37:02.000000000 -0000
++++ qp10.7/src/Makefile.ipc.in	2021-06-26 08:14:01.700826247 -0000
+@@ -20,7 +20,7 @@
+ 
+ 
+ pedro_token.o : pedro_token.c
+-	$(CXX) -fno-strict-aliasing -Wall -D_GNU_SOURCE=1 -O2  -DNDEBUG   -Wno-uninitialized -c -o pedro_token.o pedro_token.c 
++	$(CXX) $(CXXFLAGS) -c -o pedro_token.o pedro_token.c 
+ 
+ pedro_token.c: pedro_token.l
+ 	flex -opedro_token.c pedro_token.l

diff --git a/dev-lang/qu-prolog/qu-prolog-10.7.ebuild b/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
new file mode 100644
index 000000000000..707ab8e46073
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit autotools python-any-r1 qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://staff.itee.uq.edu.au/pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://staff.itee.uq.edu.au/pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pcre pedro qt5 readline threads"
+
+RDEPEND="
+	!dev-util/rej
+	qt5? (
+		dev-qt/qtwidgets:5
+		dev-qt/qtgui:5
+	 )
+	pcre? ( dev-libs/libpcre2 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	${PYTHON_DEPS}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+	eapply "${FILESDIR}"/${PN}-10.x-qt5.patch
+	eapply "${FILESDIR}"/${PN}-10.x-compiler-flags.patch
+	eapply "${FILESDIR}"/${PN}-10.x-qa-compiler-flags.patch
+	eapply_user
+
+	mv configure.in configure.ac || die
+	eautoconf
+
+	python_fix_shebang "${S}"/bin/qc.in
+}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		eqmake5 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	use qt5 && dobin src/xqp/xqp
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		docinto examples
+		newdoc examples/README README.examples
+		dodoc examples/*.ql
+	fi
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2022-10-15 16:36 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-10-15 16:36 [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/files/, dev-lang/qu-prolog/ Keri Harris
  -- strict thread matches above, loose matches on Subject: below --
2020-06-25  7:05 Keri Harris
2020-05-27 15:57 Keri Harris
2020-03-21 13:24 Keri Harris
2018-10-27  7:04 Keri Harris
2018-07-19  8:49 Keri Harris
2018-01-27 13:14 Keri Harris

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox